Last Comment Bug 836444 - Project Kickoff Form: Legal needs more info in Project/Feature Name
: Project Kickoff Form: Legal needs more info in Project/Feature Name
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: Extensions: MozProjectReview (show other bugs)
: Production
: x86_64 Windows 7
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-30 12:32 PST by Liz Compton [:liz]
Modified: 2013-02-14 20:48 PST (History)
7 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Liz Compton [:liz] 2013-01-30 12:32:27 PST
For our team, and it may be true of other teams too, it helps us a lot if the name of the product, feature, or vendor is in the bug name, and we're finding that with the form, people are putting names that don't have that info. For example, "Firefox Flicks PR Agency" isn't very helpful. We changed the legal bug to "Complete Legal Review of Ketchum Entertainment - Firefox Flicks PR Agency." That way we can do a bug search for Ketchum without having to search comments, and can look at a list of bugs and find the one we want easily.

Could we either add a note next to that field asking that the title include name of product, feature or vendor, or at least for the legal bug, insert the info from the "Other Party" field into the title of the Legal bug?
Comment 1 David Lawrence [:dkl] 2013-02-11 14:16:05 PST
(In reply to Liz Compton from comment #0)
> For our team, and it may be true of other teams too, it helps us a lot if
> the name of the product, feature, or vendor is in the bug name, and we're
> finding that with the form, people are putting names that don't have that
> info. For example, "Firefox Flicks PR Agency" isn't very helpful. We changed
> the legal bug to "Complete Legal Review of Ketchum Entertainment - Firefox
> Flicks PR Agency." That way we can do a bug search for Ketchum without
> having to search comments, and can look at a list of bugs and find the one
> we want easily.
> 
> Could we either add a note next to that field asking that the title include
> name of product, feature or vendor, or at least for the legal bug, insert
> the info from the "Other Party" field into the title of the Legal bug?

I have updated https://bugzilla-stage-tip.mozilla.org/form.moz.project.review with this change.
Basically I added some additional text near the top level summary field.

"Be brief yet descriptive as possible. Include name of product, 
feature, or name of vendor involved as well if appropriate."

Also I update the summary that is used for the Legal review child bug. Here is the code that is on the backend that generates the summary.

my $legal_summary = "Complete Legal Review for ";
$legal_summary .= $params->{legal_other_party} . " - " if $params->{legal_other_party};
$legal_summary .= $bug->short_desc;

So it would look like:

"Complete Legal Review for <Other Party> - <Project Summary>"

Suggestion: We could shorten the summaries for the dependent bugs created to allow more info in the summary. Such as:

"Legal Review: <Other Party> - <Project Summary>"

dkl
Comment 2 Liz Compton [:liz] 2013-02-11 15:39:51 PST
Looks good, and I like your shortened summary suggestion.
Comment 3 David Lawrence [:dkl] 2013-02-12 09:07:41 PST
Thanks Liz. Will commit for the next push. 

mcoates, how do you feel about making all of the subjects shorter similar to "Legal Review: ..." from comment 1? Might be useful and also make them consistent.

dkl
Comment 4 Michael Coates [:mcoates] (acct no longer active) 2013-02-13 09:56:22 PST
Dkl,

Good idea. That shortened format would be great for all of the sub bugs.
Comment 5 David Lawrence [:dkl] 2013-02-13 12:40:12 PST
Committing to: bzr+ssh://dlawrence%40mozilla.com@bzr.mozilla.org/bmo/4.0             
modified extensions/MozProjectReview/Extension.pm
modified extensions/MozProjectReview/template/en/default/bug/create/create-moz-project-review.html.tmpl                                                                      
Committed revision 8483.

Committing to: bzr+ssh://dlawrence%40mozilla.com@bzr.mozilla.org/bmo/4.2             
modified extensions/MozProjectReview/Extension.pm
modified extensions/MozProjectReview/template/en/default/bug/create/create-moz-project-review.html.tmpl
Committed revision 8554. 

dkl
Comment 6 Michael Coates [:mcoates] (acct no longer active) 2013-02-14 16:04:32 PST
DKL, 
Thanks for the changes! The commit info is helpful. One question I often have in my mind is:
1. Is this pushing to stage or production?
2. When will this push go live?

Is it possible to include that type of information when you resolve these bugs?

Thanks!
Comment 7 David Lawrence [:dkl] 2013-02-14 20:48:03 PST
(In reply to Michael Coates [:mcoates] from comment #6)
> DKL, 
> Thanks for the changes! The commit info is helpful. One question I often
> have in my mind is:
> 1. Is this pushing to stage or production?
> 2. When will this push go live?
> 
> Is it possible to include that type of information when you resolve these
> bugs?
> 
> Thanks!

Sorry for the confusion. When I normally place the commit info in the bug and resolve as FIXED, it is in the code repo for the production site at that time. It does not go live right away though. We normally have code pushes from the production repo on Thursday of each week. So without specifying exactly, if I close a bug on a Friday for example, then normally it would be the next Thursday for the change to show up in production unless we need to push sooner for some other reason such as security fix, critical bug fix, etc. If I commit on Wednesday then of course the change shows up sooner.

dkl

Note You need to log in before you can comment on or make changes to this bug.